> ## Documentation Index
> Fetch the complete documentation index at: https://docs.velt.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Organizations

Use this API to add new organizations and its metadata.

# Endpoint

`POST https://api.velt.dev/v1/organizations/add`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizations" type="Organization[]" required>
      Array of Organization objects
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### Add organization

```JSON theme={null}
{
  "data": {
    "organizations": [
      {
        "organizationId": "yourOrganizationId",
        "organizationName": "Your Organization Name"
      }
    ]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Organization(s) added successfully.",
    "data": {
      "yourOrganizationId": {
        "success": true,
        "id": "02cf91e5e7a5f4c0b600c84cf248384b",
        "message": "Added Successfully"
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Organization(s) added successfully.",
      "data": {
        "yourOrganizationId": {
          "success": true,
          "id": "02cf91e5e7a5f4c0b600c84cf248384b",
          "message": "Added Successfully"
        }
      }
    }
  }
  ```
</ResponseExample>
